relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2020-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Lifted.Env

Description

Lifted functions to work with system environment.

Since: 1.0.0.0

Synopsis

- getArgs :: MonadIO m => m [String]
- lookupEnv :: MonadIO m => String -> m (Maybe String)

# Documentation

getArgs :: MonadIO m => m [String] #

Lifted version of `getArgs`.

Since: 1.0.0.0

lookupEnv :: MonadIO m => String -> m (Maybe String) #

Lifted version of `lookupEnv`.

Since: 1.0.0.0